Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dtu.library.app
Class TestLibrary

    java.lang.Object
      dtu.library.app.TestLibrary

    public class TestLibrary

extends java.lang.Object

Constructor Summary
`TestLibrary()`

Method Summary
`void` | `testAdminAddBook1()` Tests the scenario that the administrator can add a book to the library via the library application.
`void` | `testAdminAddBook2()` Tests the scenario when the administrator wants to add a book, but is not logged in.
`void` | `testLoginFailed()` Tests the scenario when the administrator wants to log in with the wrong password.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestLibrary

    public TestLibrary()

Method Detail

### testAdminAddBook1

    public void testAdminAddBook1()
                           throws java.lang.Exception

  Tests the scenario that the administrator can add a book to the library via the library application. 1) The administrator has to login with password "adminadmin". 2) The book to be added is created. 3) The book is added to the library by calling addBook from the library application.

  Throws:
    `java.lang.Exception`

### testAdminAddBook2

    public void testAdminAddBook2()

  Tests the scenario when the administrator wants to add a book, but is not logged in. 1) The book to be added is created. 2) The book is added to the library by calling addBook from the library application. 3) The library application throws an exception.

### testLoginFailed

    public void testLoginFailed()

  Tests the scenario when the administrator wants to log in with the wrong password. 1) The administrator logs in with the wrong password 2) The library app response false to the login request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD